Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package reporters
  Definition Classes
    nsc
- AbstractReporter
- ConsoleReporter
- CountingReporter
- DefaultReporter
- DisplayReporter
- Filtering
- FilteringReporter
- LimitFilter
- NoReporter
- PositionFilter
- PositionFiltering
- PrintReporter
- Reporter
- StoreReporter
- SummaryReporter

o

scala.tools.nsc.reporters

# Reporter

###
Companion class Reporter

#### object Reporter

Source
  Reporter.scala

Linear Supertypes
AnyRef, Any
Content Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Reporter
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class AdaptedReporter extends Reporter with ForwardingReporter

   Adapt a reporter to legacy reporter API.

   Adapt a reporter to legacy reporter API. Handle `info` by forwarding to `echo`.

2.  trait LimitedReporter extends AnyRef

   A marker trait for adapted reporters that respect maxerrs.

3.  class LimitingReporter extends AdaptedReporter with FilteringReporter with LimitedReporter

   A legacy `Reporter` adapter that respects `-Xmaxerrs` and `-Xmaxwarns`.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  implicit def adapt reporter to legacy API(reporter: reflect.internal.Reporter): Reporter
5.  def apply(settings: Settings): Reporter

   The usual way to create the configured reporter.

   The usual way to create the configured reporter. Errors are reported through `settings.errorFn` and also by throwing an exception.

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  def limitedReporter(settings: Settings, reporter: Reporter): Reporter
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped